%global srcname subprocess-tee

Name:    python-%{srcname}
Version: 0.1.5
Release: 1%{?dist}
Summary: A subprocess.run that works like tee, being able to display output in real time while still capturing it

URL:     https://github.com/pycontribs/subprocess-tee
Source:  %{pypi_source}
License: MIT

patch0: 0001-remove-unsuported-pytest-option.patch
patch1: 0002-remove-pytest-type-annotation.patch

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3dist(rich)
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(setuptools-scm)

# testing requirements
BuildRequires: python3dist(mock)
BuildRequires: python3dist(pytest)
BuildRequires: python3dist(pytest-cov)
BuildRequires: python3dist(pytest-xdist)

%global _description %{expand:
This package provides an drop-in alternative to subprocess.run that captures
the output while still printing it in real time, just the way tee does.
}

%description %{_description}

%package -n python3-%{srcname}
Summary: A subprocess.run that works like tee, being able to display output in real time while still capturing it

Requires: python3dist(rich)

%py_provides python3-%{srcname}
%description -n python3-%{srcname} %{_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build

%install
%py3_install

%check
%{python3} -m pytest lib/subprocess_tee/test -v

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/subprocess_tee/
%{python3_sitelib}//subprocess_tee-*.egg-info/

%changelog
* Wed Nov 25 2020 Chedi Toueiti <chedi.toueiti@gmail.com> - 0.1.5-1
- Initial commit
